We just released our native n8n integration!ยป Try now
OnlyFans API
Release Forms

Create Release Form

Create a new release form link.

POST
/api/{account}/release-forms/create-release-form
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

account*string

The Account ID

Request Body

application/json

name*string

The name of the release form.

Response Body

application/json

curl -X POST "https://app.onlyfansapi.com/api/acct_XXXXXXXXXXXXXXX/release-forms/create-release-form" \  -H "Content-Type: application/json" \  -d '{    "name": "Example Release Form"  }'
{
  "data": {
    "id": 978710,
    "type": "link",
    "name": "Example Release Form",
    "createdAt": "2026-03-10T12:19:56+00:00",
    "approvedAt": null,
    "code": "zBQwBVOEDi6pWeErnkQnW1KP8iKNUbKh",
    "signature": "651ea8e24297ae4d18c904c229007d879e58d6e74ccd0753bbd156883c163914",
    "submissionUrl": "https://onlyfans.com/my/release-forms/zBQwBVOEDi6pWeErnkQnW1KP8iKNUbKh?signature=651ea8e24297ae4d18c904c229007d879e58d6e74ccd0753bbd156883c163914",
    "signed": [],
    "signersCount": 1,
    "user": {
      "view": "x",
      "avatar": "https://public.onlyfans.com/files/example/avatar.jpg",
      "avatarThumbs": {
        "c50": "https://thumbs.onlyfans.com/public/files/thumbs/c50/example/avatar.jpg",
        "c144": "https://thumbs.onlyfans.com/public/files/thumbs/c144/example/avatar.jpg"
      },
      "header": "https://public.onlyfans.com/files/example/header_image.jpg",
      "headerSize": {
        "width": 945,
        "height": 1260
      },
      "headerThumbs": {
        "w480": "https://thumbs.onlyfans.com/public/files/thumbs/w480/example/header_image.jpg",
        "w760": "https://thumbs.onlyfans.com/public/files/thumbs/w760/example/header_image.jpg"
      },
      "id": 30797435,
      "name": "Jessie",
      "username": "jessieromero7",
      "isVerified": true,
      "canPayInternal": true,
      "tipsEnabled": true,
      "tipsMin": 5,
      "tipsMinInternal": 1,
      "tipsMax": 200,
      "subscribePrice": 17.99,
      "canTrialSend": false
    }
  },
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 999999839,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 10000000,
      "limit_day": 50000,
      "remaining_minute": 9999999,
      "remaining_day": 49997
    }
  }
}